/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrMetadataConfig;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record11;
import org.jooq.Row11;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class DsrMetadataConfigRecord extends UpdatableRecordImpl<DsrMetadataConfigRecord> implements Record11<Integer, Integer, String, String, String, String, String, Integer, Integer, Integer, Integer> {

    private static final long serialVersionUID = -496748540;

    /**
     * Setter for <code>DSR_METADATA_CONFIG.ID_DSR_METADATA_CONFIG</code>.
     */
    public void setIdDsrMetadataConfig(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>DSR_METADATA_CONFIG.ID_DSR_METADATA_CONFIG</code>.
     */
    public Integer getIdDsrMetadataConfig() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>DSR_METADATA_CONFIG.ID_COMMERCIAL_OFFER</code>.
     */
    public void setIdCommercialOffer(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>DSR_METADATA_CONFIG.ID_COMMERCIAL_OFFER</code>.
     */
    public Integer getIdCommercialOffer() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>DSR_METADATA_CONFIG.REGEX</code>.
     */
    public void setRegex(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>DSR_METADATA_CONFIG.REGEX</code>.
     */
    public String getRegex() {
        return (String) get(2);
    }

    /**
     * Setter for <code>DSR_METADATA_CONFIG.REGEX_CONFIG</code>.
     */
    public void setRegexConfig(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>DSR_METADATA_CONFIG.REGEX_CONFIG</code>.
     */
    public String getRegexConfig() {
        return (String) get(3);
    }

    /**
     * Setter for <code>DSR_METADATA_CONFIG.REGEX_REPRESENTATION</code>.
     */
    public void setRegexRepresentation(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>DSR_METADATA_CONFIG.REGEX_REPRESENTATION</code>.
     */
    public String getRegexRepresentation() {
        return (String) get(4);
    }

    /**
     * Setter for <code>DSR_METADATA_CONFIG.COUNTRY_CODE</code>.
     */
    public void setCountryCode(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>DSR_METADATA_CONFIG.COUNTRY_CODE</code>.
     */
    public String getCountryCode() {
        return (String) get(5);
    }

    /**
     * Setter for <code>DSR_METADATA_CONFIG.PERIOD_CODE</code>.
     */
    public void setPeriodCode(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>DSR_METADATA_CONFIG.PERIOD_CODE</code>.
     */
    public String getPeriodCode() {
        return (String) get(6);
    }

    /**
     * Setter for <code>DSR_METADATA_CONFIG.START_INDEX_COUNTRY</code>.
     */
    public void setStartIndexCountry(Integer value) {
        set(7, value);
    }

    /**
     * Getter for <code>DSR_METADATA_CONFIG.START_INDEX_COUNTRY</code>.
     */
    public Integer getStartIndexCountry() {
        return (Integer) get(7);
    }

    /**
     * Setter for <code>DSR_METADATA_CONFIG.END_INDEX_COUNTRY</code>.
     */
    public void setEndIndexCountry(Integer value) {
        set(8, value);
    }

    /**
     * Getter for <code>DSR_METADATA_CONFIG.END_INDEX_COUNTRY</code>.
     */
    public Integer getEndIndexCountry() {
        return (Integer) get(8);
    }

    /**
     * Setter for <code>DSR_METADATA_CONFIG.START_INDEX_PERIOD</code>.
     */
    public void setStartIndexPeriod(Integer value) {
        set(9, value);
    }

    /**
     * Getter for <code>DSR_METADATA_CONFIG.START_INDEX_PERIOD</code>.
     */
    public Integer getStartIndexPeriod() {
        return (Integer) get(9);
    }

    /**
     * Setter for <code>DSR_METADATA_CONFIG.END_INDEX_PERIOD</code>.
     */
    public void setEndIndexPeriod(Integer value) {
        set(10, value);
    }

    /**
     * Getter for <code>DSR_METADATA_CONFIG.END_INDEX_PERIOD</code>.
     */
    public Integer getEndIndexPeriod() {
        return (Integer) get(10);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record11 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row11<Integer, Integer, String, String, String, String, String, Integer, Integer, Integer, Integer> fieldsRow() {
        return (Row11) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row11<Integer, Integer, String, String, String, String, String, Integer, Integer, Integer, Integer> valuesRow() {
        return (Row11) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return DsrMetadataConfig.DSR_METADATA_CONFIG.ID_DSR_METADATA_CONFIG;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field2() {
        return DsrMetadataConfig.DSR_METADATA_CONFIG.ID_COMMERCIAL_OFFER;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return DsrMetadataConfig.DSR_METADATA_CONFIG.REGEX;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field4() {
        return DsrMetadataConfig.DSR_METADATA_CONFIG.REGEX_CONFIG;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field5() {
        return DsrMetadataConfig.DSR_METADATA_CONFIG.REGEX_REPRESENTATION;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field6() {
        return DsrMetadataConfig.DSR_METADATA_CONFIG.COUNTRY_CODE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field7() {
        return DsrMetadataConfig.DSR_METADATA_CONFIG.PERIOD_CODE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field8() {
        return DsrMetadataConfig.DSR_METADATA_CONFIG.START_INDEX_COUNTRY;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field9() {
        return DsrMetadataConfig.DSR_METADATA_CONFIG.END_INDEX_COUNTRY;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field10() {
        return DsrMetadataConfig.DSR_METADATA_CONFIG.START_INDEX_PERIOD;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field11() {
        return DsrMetadataConfig.DSR_METADATA_CONFIG.END_INDEX_PERIOD;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getIdDsrMetadataConfig();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component2() {
        return getIdCommercialOffer();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getRegex();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component4() {
        return getRegexConfig();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component5() {
        return getRegexRepresentation();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component6() {
        return getCountryCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component7() {
        return getPeriodCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component8() {
        return getStartIndexCountry();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component9() {
        return getEndIndexCountry();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component10() {
        return getStartIndexPeriod();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component11() {
        return getEndIndexPeriod();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getIdDsrMetadataConfig();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value2() {
        return getIdCommercialOffer();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getRegex();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value4() {
        return getRegexConfig();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value5() {
        return getRegexRepresentation();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value6() {
        return getCountryCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value7() {
        return getPeriodCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value8() {
        return getStartIndexCountry();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value9() {
        return getEndIndexCountry();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value10() {
        return getStartIndexPeriod();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value11() {
        return getEndIndexPeriod();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrMetadataConfigRecord value1(Integer value) {
        setIdDsrMetadataConfig(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrMetadataConfigRecord value2(Integer value) {
        setIdCommercialOffer(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrMetadataConfigRecord value3(String value) {
        setRegex(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrMetadataConfigRecord value4(String value) {
        setRegexConfig(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrMetadataConfigRecord value5(String value) {
        setRegexRepresentation(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrMetadataConfigRecord value6(String value) {
        setCountryCode(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrMetadataConfigRecord value7(String value) {
        setPeriodCode(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrMetadataConfigRecord value8(Integer value) {
        setStartIndexCountry(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrMetadataConfigRecord value9(Integer value) {
        setEndIndexCountry(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrMetadataConfigRecord value10(Integer value) {
        setStartIndexPeriod(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrMetadataConfigRecord value11(Integer value) {
        setEndIndexPeriod(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrMetadataConfigRecord values(Integer value1, Integer value2, String value3, String value4, String value5, String value6, String value7, Integer value8, Integer value9, Integer value10, Integer value11) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        value8(value8);
        value9(value9);
        value10(value10);
        value11(value11);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached DsrMetadataConfigRecord
     */
    public DsrMetadataConfigRecord() {
        super(DsrMetadataConfig.DSR_METADATA_CONFIG);
    }

    /**
     * Create a detached, initialised DsrMetadataConfigRecord
     */
    public DsrMetadataConfigRecord(Integer idDsrMetadataConfig, Integer idCommercialOffer, String regex, String regexConfig, String regexRepresentation, String countryCode, String periodCode, Integer startIndexCountry, Integer endIndexCountry, Integer startIndexPeriod, Integer endIndexPeriod) {
        super(DsrMetadataConfig.DSR_METADATA_CONFIG);

        set(0, idDsrMetadataConfig);
        set(1, idCommercialOffer);
        set(2, regex);
        set(3, regexConfig);
        set(4, regexRepresentation);
        set(5, countryCode);
        set(6, periodCode);
        set(7, startIndexCountry);
        set(8, endIndexCountry);
        set(9, startIndexPeriod);
        set(10, endIndexPeriod);
    }
}
